For the complete documentation index, see llms.txt. This page is also available as Markdown.

Hotel Taxes and Fees

Specifies Taxes and Fee breakups

post
/taxes

Defines taxes and fees for a property. This is an optional API but can be mandatory for some OTAs/Metas based on geography of a specific property. The TaxFeeInfo message defines the taxes and fees that are applicable to a user when booking a property and based on the property's tax regulations outlined on the website. To add tax and fee data, you use the Rate message (OTA_HotelRateAmountNotifRQ).

Authorizations
AuthorizationstringRequired
Body
EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
TimeStampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
Responses
200

Success Response

Indicates that the request message was processed successfully or not. Either 'Success' or 'Errors' is present in each message.

Timestampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
SuccessobjectOptional

Indicates that the request message was processed successfully

post/taxes
POST /supplier/taxes HTTP/1.1
Host: ratehub.rategain.com
Authorization: Basic username:password
Content-Type: application/xml
Accept: */*
Content-Length: 4526

"<?xml version="1.0" encoding="UTF-8"?> <HotelTaxFeeNotifRQ EchoToken="5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9" TimeStamp="2023-04-14T14:06:10.225Z" Version="1.0">
	<POS>
		<Source>
			<RequestorID ID="Partner Key">
			</RequestorID>
		</Source>
	</POS>
	<HotelTaxFeeInfo HotelCode="TEST_Hotel" NotifType="overlay">
		<Taxes>
			<Tax Code="LOCAL_TAX" Name="City Tax">
				<RoomTypes>
					<RoomType InvTypeCode="ITC_1">
					</RoomType>
				</RoomTypes>
				<RatePlans>
					<RatePlan RatePlanCode="RPC_1">
					</RatePlan>
				</RatePlans>
				<BookingDates>
					<DateRange Start="2023-04-14" End="2023-04-14" Mon="true" Tue="true" Weds="true" Thur="true" Fri="true" Sat="true" Sun="true">
					</DateRange>
				</BookingDates>
				<CheckinDates>
					<DateRange Start="2023-04-14" End="2023-04-14" Mon="true" Tue="true" Weds="true" Thur="true" Fri="true" Sat="true" Sun="true">
					</DateRange>
				</CheckinDates>
				<CheckoutDates>
					<DateRange Start="2023-04-14" End="2023-04-14" Mon="true" Tue="true" Weds="true" Thur="true" Fri="true" Sat="true" Sun="true">
					</DateRange>
				</CheckoutDates>
				<StayDates Application="all">
					<DateRange Start="2023-04-14" End="2023-04-14" Mon="true" Tue="true" Weds="true" Thur="true" Fri="true" Sat="true" Sun="true">
					</DateRange>
				</StayDates>
				<Type>percent</Type>
				<Basis>room</Basis>
				<Period>stay</Period>
				<Currency>USD</Currency>
				<Amount>15</Amount>
				<ApplicableNights Max="1" Excluded="1">
				</ApplicableNights>
				<LengthOfStay Min="1" Max="3">
				</LengthOfStay>
				<Brackets BaseAmount="35">
					<Bracket StartsAt="2" Amount="2">
					</Bracket>
				</Brackets>
				<AgeBrackets>
					<AdultCharge Amount="23">
					</AdultCharge>
					<ChildAgeBrackets>
						<ChildAgeBracket MaxAge="5" Amount="2.5">
						</ChildAgeBracket>
					</ChildAgeBrackets>
				</AgeBrackets>
				<UserCountries Type="include">
					<Country Code="US">
					</Country>
				</UserCountries>
			</Tax>
		</Taxes>
		<Fees>
			<Fee Code="LOCAL_TAX" Name="City Tax">
				<RoomTypes>
					<RoomType InvTypeCode="ITC_1">
					</RoomType>
				</RoomTypes>
				<RatePlans>
					<RatePlan RatePlanCode="RPC_1">
					</RatePlan>
				</RatePlans>
				<BookingDates>
					<DateRange Start="2023-04-14" End="2023-04-14" Mon="true" Tue="true" Weds="true" Thur="true" Fri="true" Sat="true" Sun="true">
					</DateRange>
				</BookingDates>
				<CheckinDates>
					<DateRange Start="2023-04-14" End="2023-04-14" Mon="true" Tue="true" Weds="true" Thur="true" Fri="true" Sat="true" Sun="true">
					</DateRange>
				</CheckinDates>
				<CheckoutDates>
					<DateRange Start="2023-04-14" End="2023-04-14" Mon="true" Tue="true" Weds="true" Thur="true" Fri="true" Sat="true" Sun="true">
					</DateRange>
				</CheckoutDates>
				<StayDates Application="all">
					<DateRange Start="2023-04-14" End="2023-04-14" Mon="true" Tue="true" Weds="true" Thur="true" Fri="true" Sat="true" Sun="true">
					</DateRange>
				</StayDates>
				<Type>percent</Type>
				<Basis>room</Basis>
				<Period>stay</Period>
				<Currency>USD</Currency>
				<Amount>15</Amount>
				<ApplicableNights Max="1" Excluded="1">
				</ApplicableNights>
				<LengthOfStay Min="1" Max="3">
				</LengthOfStay>
				<Brackets BaseAmount="35">
					<Bracket StartsAt="2" Amount="2">
					</Bracket>
				</Brackets>
				<AgeBrackets>
					<AdultCharge Amount="23">
					</AdultCharge>
					<ChildAgeBrackets>
						<ChildAgeBracket MaxAge="5" Amount="2.5">
						</ChildAgeBracket>
					</ChildAgeBrackets>
				</AgeBrackets>
				<UserCountries Type="include">
					<Country Code="US">
					</Country>
				</UserCountries>
			</Fee>
		</Fees>
	</HotelTaxFeeInfo>
</HotelTaxFeeNotifRQ>"
<?xml version="1.0" encoding="UTF-8"?> <HotelNotifRS Timestamp="2023-02-28T11:44:23.691Z" Version="1.0" EchoToken="5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9">
    <Success>
    </Success>
</HotelNotifRS>

Get all taxes and fees by hotel code

get
/taxes/{hotelCode}
Authorizations
AuthorizationstringRequired
Path parameters
hotelCodestringRequired
Query parameters
Requester_IDstringOptional
Responses
200

Success

application/json

Get the whole information of taxes and fees from the database.

EchoTokenstring · min: 1 · max: 100Optional

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
Timestampstring · date-timeOptional

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
get/taxes/{hotelCode}
GET /supplier/taxes/{hotelCode} HTTP/1.1
Host: ratehub.rategain.com
Authorization: Basic username:password
Accept: */*
200

Success

{
  "EchoToken": "5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9",
  "Timestamp": "2026-01-01T00:00:00.000Z",
  "Version": "1.0",
  "HotelTaxFeeInfo": [
    {
      "HotelId": "TEST_HOTEL",
      "Taxes": [
        {
          "Code": "LOCAL_TAX",
          "Name": "City Tax",
          "RoomTypes": {
            "RoomType": [
              {
                "InvTypeCode": "ITC_1"
              }
            ]
          },
          "RatePlans": {
            "RatePlan": [
              {
                "RatePlanCode": "RPC_1"
              }
            ]
          },
          "BookingDates": {
            "DateRange": [
              {
                "Start": "2026-01-01",
                "End": "2026-01-01",
                "Mon": true,
                "Tue": true,
                "Weds": true,
                "Thur": true,
                "Fri": true,
                "Sat": true,
                "Sun": true
              }
            ]
          },
          "CheckinDates": {
            "DateRange": [
              {
                "Start": "2026-01-01",
                "End": "2026-01-01",
                "Mon": true,
                "Tue": true,
                "Weds": true,
                "Thur": true,
                "Fri": true,
                "Sat": true,
                "Sun": true
              }
            ]
          },
          "CheckoutDates": {
            "DateRange": [
              {
                "Start": "2026-01-01",
                "End": "2026-01-01",
                "Mon": true,
                "Tue": true,
                "Weds": true,
                "Thur": true,
                "Fri": true,
                "Sat": true,
                "Sun": true
              }
            ]
          },
          "StayDates": {
            "Application": "all",
            "DateRange": [
              {
                "Start": "2026-01-01",
                "End": "2026-01-01",
                "Mon": true,
                "Tue": true,
                "Weds": true,
                "Thur": true,
                "Fri": true,
                "Sat": true,
                "Sun": true
              }
            ]
          },
          "Type": "percent",
          "Basis": "room",
          "Period": "stay",
          "Currency": "USD",
          "Amount": 15,
          "ApplicableNights": {
            "Max": 1,
            "Excluded": 1
          },
          "LengthOfStay": {
            "Min": 1,
            "Max": 3
          },
          "Brackets": {
            "BaseAmount": 35,
            "Bracket": [
              {
                "StartsAt": 2,
                "Amount": 2
              }
            ]
          },
          "AgeBrackets": {
            "AdultCharge": {
              "Amount": 23
            },
            "ChildAgeBrackets": {
              "ChildAgeBracket": [
                {
                  "MaxAge": 5,
                  "Amount": 2.5
                }
              ]
            }
          },
          "UserCountries": {
            "Type": "include",
            "Country": [
              {
                "Code": "US"
              }
            ]
          }
        }
      ],
      "Fees": [
        {
          "Code": "LOCAL_TAX",
          "Name": "City Tax",
          "RoomTypes": {
            "RoomType": [
              {
                "InvTypeCode": "ITC_1"
              }
            ]
          },
          "RatePlans": {
            "RatePlan": [
              {
                "RatePlanCode": "RPC_1"
              }
            ]
          },
          "BookingDates": {
            "DateRange": [
              {
                "Start": "2026-01-01",
                "End": "2026-01-01",
                "Mon": true,
                "Tue": true,
                "Weds": true,
                "Thur": true,
                "Fri": true,
                "Sat": true,
                "Sun": true
              }
            ]
          },
          "CheckinDates": {
            "DateRange": [
              {
                "Start": "2026-01-01",
                "End": "2026-01-01",
                "Mon": true,
                "Tue": true,
                "Weds": true,
                "Thur": true,
                "Fri": true,
                "Sat": true,
                "Sun": true
              }
            ]
          },
          "CheckoutDates": {
            "DateRange": [
              {
                "Start": "2026-01-01",
                "End": "2026-01-01",
                "Mon": true,
                "Tue": true,
                "Weds": true,
                "Thur": true,
                "Fri": true,
                "Sat": true,
                "Sun": true
              }
            ]
          },
          "StayDates": {
            "Application": "all",
            "DateRange": [
              {
                "Start": "2026-01-01",
                "End": "2026-01-01",
                "Mon": true,
                "Tue": true,
                "Weds": true,
                "Thur": true,
                "Fri": true,
                "Sat": true,
                "Sun": true
              }
            ]
          },
          "Type": "percent",
          "Basis": "room",
          "Period": "stay",
          "Currency": "USD",
          "Amount": 15,
          "ApplicableNights": {
            "Max": 1,
            "Excluded": 1
          },
          "LengthOfStay": {
            "Min": 1,
            "Max": 3
          },
          "Brackets": {
            "BaseAmount": 35,
            "Bracket": [
              {
                "StartsAt": 2,
                "Amount": 2
              }
            ]
          },
          "AgeBrackets": {
            "AdultCharge": {
              "Amount": 23
            },
            "ChildAgeBrackets": {
              "ChildAgeBracket": [
                {
                  "MaxAge": 5,
                  "Amount": 2.5
                }
              ]
            }
          },
          "UserCountries": {
            "Type": "include",
            "Country": [
              {
                "Code": "US"
              }
            ]
          }
        }
      ],
      "CreatedAt": "2026-01-01T00:00:00.000Z",
      "UpdatedAt": "2026-01-01T00:00:00.000Z",
      "LastUpdatedEchoToken": "5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9",
      "Source": "RH"
    }
  ],
  "Errors": {
    "Error": [
      {
        "Type": 12,
        "Code": 450,
        "Status": "Not processed",
        "Text": "Error Text"
      }
    ]
  }
}

Last updated